# $Revision: 1.71 $, $Date: 2012/02/12 13:29:36 $
%define		LIBPLOT_VERSION	4.4
%define		LIBXMI_VERSION	1.3
Summary:	GNU Plotutils -- plotting utilities
Summary(pl.UTF-8):	Narzędzia do wykresów
Name:		plotutils
Version:	2.6
# Don't decrease release if LIBPLOT/LIBXMI versions are not increased, as then
# those subpackages get then lower release
Release:	11
License:	GPL v3+
Group:		Applications/Graphics
Source0:	http://ftp.gnu.org/gnu/plotutils/%{name}-%{version}.tar.gz
# Source0-md5:	c08a424bd2438c80a786a7f4b5bb6a40
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-libpng15.patch
URL:		http://www.gnu.org/software/plotutils/plotutils.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXext-devel
Requires:	libplot = %{LIBPLOT_VERSION}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU plotting utilities include: (1) GNU libplot, a shared library
for exporting 2-D vector graphics files and for performing vector
graphics animation under the X Window System. Its output file formats
include pseudo-GIF, PNM, Adobe Illustrator, Postscript (editable with
the free 'idraw' drawing editor), Fig (editable with the free g'
drawing editor), PCL 5, HP-GL and HP-GL/2, Tektronix, and GNU metafile
format. Many Postscript, PCL, and Hershey fonts are supported. A
separate class library, 'libplotter', provides a C++ binding to
libplot's functionality. (2) Sample command-line applications 'graph',
'plot', 'tek2plot', 'pic2plot', and 'plotfont', which are built on top
of GNU libplot. 'graph' is a powerful utility for XY plotting, 'plot'
translates GNU metafiles to other formats, 'tek2plot' translates
legacy Tektronix data, 'pic2plot' translates box-and-arrow diagrams in
the pic language, and 'plotfont' plots character maps. (3)
Command-line applications 'spline', 'double', and 'ode', which are
useful in scientific plotting. 'spline' does spline interpolation of
input data of arbitrary dimensionality. It uses cubic splines, splines
under tension, or cubic Bessel interpolation. 'ode' is an interactive
program that can integrate a user-specified system of ordinary
differential equations.

%description -l pl.UTF-8
GNU Plotutils to pakiet zawierający narzędzia do tworzenia wykresów.
Składa się z biblioteki GNU libplot, przykładowych programów
działających z linii poleceń oraz aplikacji. GNU libplot to biblioteka
do tworzenia plików z grafiką wektorową 2D i odtwarzania animowanej
grafiki wektorowej w środowisku X Window System. libplot potrafi
zapisywać w formatach m.in. GIF, PNM, Adobe Illustrator, Postscript,
Fig, PCL 5, HP-GL i GP-GL/2, Tektronix i GNU metafile. Obsługuje wiele
fontów Postscriptowych, PCL i Hershey. Oddzielna biblioteka libplotter
daje interfejs C++ do funkcji libplot. Programy przykładowe to graph,
plot, tek2plot, pic2plot i plotfont; pierwszy służy do rysowania, trzy
kolejne do konwersji między różnymi formatami, ostatni do wyświetlania
fontów. Aplikacje zawarte w pakiecie plotutils to spline, double oraz
ode, przydatne do rysunków naukowych. spline tworzy interpolację
splajnami dostarczonych danych o dowolnej liczbie wymiarów. ode jest
interaktywnym programem do rozwiązywania układów równań różniczkowych.

%package -n libplot
Summary:	libplot plotting library - from plotutils package
Summary(pl.UTF-8):	libplot -- Biblioteka do kreślenia z pakietu plotutils
Version:	%{LIBPLOT_VERSION}
Group:		Libraries
Requires(post,postun):	fontpostinst

%description -n libplot
GNU libplot: a function library for exporting two-dimensional vector
graphics files, and for displaying animated vector.

%description -n libplot -l pl.UTF-8
GNU libplot: biblioteka do tworzenia dwuwymiarowej grafiki wektorowej
lub wyświetlania animowanych obrazów wektorowych pod X Window.

%package -n libplot-devel
Summary:	libplot header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla libplot
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplot = %{LIBPLOT_VERSION}-%{release}
Requires:	libpng-devel
Requires:	xorg-lib-libXaw-devel
Requires:	xorg-lib-libXext-devel

%description -n libplot-devel
libplot header files.

%description -n libplot-devel -l pl.UTF-8
Pliki nagłówkowe dla libplot.

%package -n libplot-static
Summary:	libplot static library
Summary(pl.UTF-8):	Biblioteka statyczna libplot
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplot-devel = %{LIBPLOT_VERSION}-%{release}

%description -n libplot-static
libplot static library.

%description -n libplot-static -l pl.UTF-8
Biblioteka statyczna libplot.

%package -n libplotter
Summary:	libplotter plotting library - from plotutils package
Summary(pl.UTF-8):	libplotter - biblioteka do kreślenia z pakietu plotutils
Version:	%{LIBPLOT_VERSION}
Group:		Libraries

%description -n libplotter
GNU libplotter: a function library for exporting two-dimensional
vector graphics files, and for displaying animated vector.

%description -n libplotter -l pl.UTF-8
GNU libplotter: biblioteka do tworzenia dwuwymiarowej grafiki
wektorowej lub wyświetlania animowanych obrazów wektorowych pod X
Window.

%package -n libplotter-devel
Summary:	libplotter header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla libplotter
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplotter = %{LIBPLOT_VERSION}-%{release}
Requires:	libpng-devel
Requires:	libstdc++-devel
Requires:	xorg-lib-libXaw-devel
Requires:	xorg-lib-libXext-devel

%description -n libplotter-devel
libplotter header files.

%description -n libplotter-devel -l pl.UTF-8
Pliki nagłówkowe dla libplotter.

%package -n libplotter-static
Summary:	libplotter static library
Summary(pl.UTF-8):	Biblioteka statyczna libplotter
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplotter-devel = %{LIBPLOT_VERSION}-%{release}

%description -n libplotter-static
libplotter static library.

%description -n libplotter-static -l pl.UTF-8
Biblioteka statyczna libplotter.

%package -n libxmi
Summary:	libxmi library - from plotutils package
Summary(pl.UTF-8):	libxmi - biblioteka z pakietu plotutils
Version:	%{LIBXMI_VERSION}
Group:		Libraries

%description -n libxmi
GNU libxmi: a function library for exporting two-dimensional vector
graphics files, and for displaying animated vector.

%description -n libxmi -l pl.UTF-8
GNU libxmi: biblioteka do tworzenia dwuwymiarowej grafiki wektorowej
lub wyświetlania animowanych obrazów wektorowych pod X Window.

%package -n libxmi-devel
Summary:	libxmi header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla libxmi
Version:	%{LIBXMI_VERSION}
Group:		Development/Libraries
Requires:	libxmi = %{LIBXMI_VERSION}-%{release}

%description -n libxmi-devel
libxmi header files.

%description -n libxmi-devel -l pl.UTF-8
Pliki nagłówkowe dla libxmi.

%package -n libxmi-static
Summary:	Libxmi static library
Summary(pl.UTF-8):	Biblioteka statyczna libxmi
Version:	%{LIBXMI_VERSION}
Group:		Development/Libraries
Requires:	libxmi-devel = %{LIBXMI_VERSION}-%{release}

%description -n libxmi-static
libxmi static library.

%description -n libxmi-static -l pl.UTF-8
Biblioteka statyczna libxmi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-libplotter \
	--enable-libxmi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/libplot-%{LIBPLOT_VERSION},%{_fontsdir}/misc}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#install doc/h-demo.c $RPM_BUILD_ROOT%{_examplesdir}/libplot-%{LIBPLOT_VERSION}
install fonts/pcf/*.pcf $RPM_BUILD_ROOT%{_fontsdir}/misc

gzip -9nf $RPM_BUILD_ROOT%{_fontsdir}/misc/*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	-n libxmi-devel	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-n libxmi-devel	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	-n libplot
/sbin/ldconfig
fontpostinst misc

%postun	-n libplot
/sbin/ldconfig
fontpostinst misc

%post	-n libplotter -p /sbin/ldconfig
%postun	-n libplotter -p /sbin/ldconfig

%post	-n libxmi -p /sbin/ldconfig
%postun	-n libxmi -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COMPAT KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS TODO
%attr(755,root,root) %{_bindir}/double
%attr(755,root,root) %{_bindir}/graph
%attr(755,root,root) %{_bindir}/hersheydemo
%attr(755,root,root) %{_bindir}/ode
%attr(755,root,root) %{_bindir}/pic2plot
%attr(755,root,root) %{_bindir}/plot
%attr(755,root,root) %{_bindir}/plotfont
%attr(755,root,root) %{_bindir}/spline
%attr(755,root,root) %{_bindir}/tek2plot
%{_infodir}/plotutils.info*
%{_mandir}/man1/ode.1*
%{_mandir}/man1/plot.1*
%{_mandir}/man1/plotfont.1*
%{_mandir}/man1/spline.1*
%{_mandir}/man1/tek2plot.1*
%{_datadir}/ode
%{_datadir}/pic2plot
%{_datadir}/tek2plot

%files -n libplot
%defattr(644,root,root,755)
%doc doc/{*.txt,*.bib}
%doc libplot/{DEDICATION,HUMOR,README*,VERSION}
%attr(755,root,root) %{_libdir}/libplot.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplot.so.2
%{_fontsdir}/misc/tekfont*.pcf.gz

%files -n libplot-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplot.so
%{_libdir}/libplot.la
%{_includedir}/plot.h
%{_includedir}/plotcompat.h
%{_examplesdir}/libplot-%{LIBPLOT_VERSION}

%files -n libplot-static
%defattr(644,root,root,755)
%{_libdir}/libplot.a

%files -n libplotter
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplotter.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplotter.so.2

%files -n libplotter-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplotter.so
%{_libdir}/libplotter.la
%{_includedir}/plotter.h

%files -n libplotter-static
%defattr(644,root,root,755)
%{_libdir}/libplotter.a

%files -n libxmi
%defattr(644,root,root,755)
%doc libxmi/{AUTHORS,NEWS,README*,TODO,VERSION}
%attr(755,root,root) %{_libdir}/libxmi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmi.so.0

%files -n libxmi-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmi.so
%{_libdir}/libxmi.la
%{_includedir}/xmi.h
%{_infodir}/libxmi.info*

%files -n libxmi-static
%defattr(644,root,root,755)
%{_libdir}/libxmi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: plotutils.spec,v $
Revision 1.71  2012/02/12 13:29:36  adamg
- release 11 (rebuild against libpng-1.5)

Revision 1.70  2012/02/12 08:12:26  arekm
- release 10

Revision 1.69  2012/02/07 22:06:03  arekm
- release 9

Revision 1.68  2010/10/31 09:53:45  qboosh
- libplot/libplotter version is 4.4
- release 8

Revision 1.67  2010/10/31 09:11:08  qboosh
- verbose bin files

Revision 1.66  2010/03/26 11:53:28  pluto
- release 7 (rebuild with libpng14)

Revision 1.65  2009/12/18 23:45:59  megabajt
- release 6

Revision 1.64  2009/11/01 14:26:25  glen
- rel 5 for subpackages release increment

Revision 1.63  2009/09/28 07:44:21  amateja
- updated to 2.6

Revision 1.62  2008/11/07 20:54:02  arekm
- release 4

Revision 1.61  2008/07/24 21:34:21  qboosh
- updated to 2.5.1 (GPL v3)
- added ac patch
- release 3 (libxmi version unchanged)

Revision 1.60  2008/04/08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.59  2008-01-24 01:55:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.58  2008-01-24 01:23:01  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.57  2007-06-14 18:24:10  arekm
- rel 2

Revision 1.56  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.55  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.54  2006/05/14 19:23:20  qboosh
- updated to 2.5, updated info patc, removed obsolete c++ patch

Revision 1.53  2006/03/07 21:23:10  qboosh
- modular xorg deps, release 9

Revision 1.52  2006/03/07 20:39:05  qboosh
- libs groups

Revision 1.51  2006/01/28 14:03:43  qboosh
- strict internal deps

Revision 1.50  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.49  2004/01/29 14:12:46  jajcus
- Release: 8

Revision 1.48  2003/12/05 10:59:35  qboosh
- added -devel deps, -static descr cleanups

Revision 1.47  2003/11/24 12:50:33  averne
- release 7

Revision 1.46  2003/05/27 11:40:18  trojan
- added Source-md5

Revision 1.45  2003/05/25 06:25:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.43  2002/10/13 10:54:33  qboosh
- new %doc, release 6

Revision 1.42  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.40  2002/05/21 23:14:31  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/04/27 22:31:42  qboosh
- completed pl description, fixed 'ode' name in en description
- libpng 1.2.2 support
- release 5

Revision 1.38  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/02/02 20:35:16  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.34  2002/01/18 02:14:37  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/11/26 20:57:14  qrczak
- plotutils-c++.patch: cast unsigned char * to char * when calling
  iostream::write to let it compile under more standard-compliant C++
  compilers like gcc-3.x.
- Release 4.

Revision 1.32  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.30  2001/07/17 14:29:04  kloczek
- release 3: regenerate ac/am/lt files for make spec ac 2.50 ready.

Revision 1.29  2001/05/02 21:51:26  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.28  2001/02/14 03:56:33  kloczek
- release 2,
- added info patch with info index entries for plotutils and libxmi entries
  fixes,
- added "-fno-rtti -fno-exceptions" to C++ optimization flags.

Revision 1.27  2001/02/14 01:36:49  qboosh
- BuildRequires: flex, libpng-devel, XFree86-devel
- more docs

Revision 1.26  2001/02/13 19:38:19  kloczek
- make missig directory $RPM_BUILD_ROOT/usr/share/fonts/misc.

Revision 1.25  2001/02/13 16:25:03  kloczek
- another typo.

Revision 1.24  2001/02/13 16:02:30  kloczek
- typo in %install.

Revision 1.23  2001/02/13 14:31:31  kloczek
- call /sbin/ldconfig as -p parameter in %post/%postun scripts,
- new %description (borowed from RH).

Revision 1.22  2001/02/12 12:43:22  qboosh
- added full URL to Source0
- 2.4.1 (not tested yet)

Revision 1.21  2000/11/29 07:34:37  jajcus
- updated to version 2.4
- "plotutils-libplot*" subpackages changed to just "libplot*" (they have other
  version numbering anyway)
- libplotter and libxmi subpackages added
- tektronik fonts added to libplot package
- some updates for new rpm automation

Revision 1.20  2000/06/09 07:55:08  kloczek
- more %{__make} macros.

Revision 1.19  2000/06/09 07:23:47  kloczek
- added using %{__make} macro.

Revision 1.18  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.17  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.16  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.15  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.13  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.12  1999/09/19 10:21:03  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.11  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
